#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE7,0x3A,0x3D,0x21,0x7B,0x21,0x87,0x65,0xF5,0xB8,0xD4,0xC8,
		0x9F,0x40,0x49,0x06,0xB6,0xE6,0x7A,0xDA,0x76,0x52,0x36,0x0F,
		0xF3,0x62,0x7D,0x69,0x82,0xE2,0x45,0xE6,0x25,0x66,0x35,0x31,
		0x7D,0xF4,0x0F,0x21,0x45,0x5E,0x52,0xAF,0x50,0xEE,0x7F,0xB7,
		0x91,0x3A,0xB9,0x6D,0xF0,0xD5,0x2C,0xD0,0x6B,0x3F,0xE8,0x63,
		0x7B,0x3E,0xF2,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
